## slony1-2 2.0.7

=== doc/adminguide/Makefile ===
#----------------------------------------------------------------------------
#
# PostgreSQL documentation makefile
#
# 
#
#----------------------------------------------------------------------------

subdir = doc/adminguide
slony_top_builddir = ../..

include $(slony_top_builddir)/Makefile.global

.SECONDARY:
.NOTPARALLEL:


GENERATED_SGML = bookindex.sgml version.sgml schemadoc.sgml
GENERATED_XML = schemadoc.xml

ALLSGML = $(wildcard $(srcdir)/*.sgml) $(GENERATED_SGML)
DISTFILES = $(ALLSGML) $(GENERATED_SGML)

ifdef DOCBOOKSTYLE
CATALOG = -c $(DOCBOOKSTYLE)/catalog
endif

# Enable draft mode during development
ifneq (,$(findstring devel, $(VERSION)))
override JADEFLAGS += -V draft-mode
endif

# docbook2man generates man pages from docbook refentry source code.
ifdef D2MDIR
D2MSCRIPT=$(D2MDIR)/docbook2man-spec.pl
endif

# Enable some extra warnings
override SPFLAGS += -wall -wno-unused-param -wno-empty

##
## Man pages
##

.PHONY: man


man: man.sgml $(ALLSGML)
ifdef NSGMLS
ifdef SGMLSPL
ifdef D2MSCRIPT
	$(NSGMLS) $(NSGMLS_FLAGS) $< | $(SGMLSPL) $(D2MSCRIPT) --lowercase --date "`date '+%Y-%m-%d'`"
# One more time, to resolve cross-references
	$(NSGMLS) $(NSGMLS_FLAGS) $< | $(SGMLSPL) $(D2MSCRIPT) --lowercase --date "`date '+%Y-%m-%d'`"
	mkdir -p man1 man7
	mv *.1 man1/
	mv *.7 man7/
endif
endif
endif

##
## HTML
##

all: html man

installdirs:
ifdef docdir
	$(mkinstalldirs) $(DESTDIR)$(docdir)/sgml
	$(mkinstalldirs) $(DESTDIR)$(docdir)/html
	$(mkinstalldirs) $(DESTDIR)$(mandir)/man1
	$(mkinstalldirs) $(DESTDIR)$(mandir)/man7
endif

install: installdirs
ifdef D2MSCRIPT
ifdef docdir
	for file in man1/*.1; do \
	   $(INSTALL_DATA) $$file $(DESTDIR)$(mandir)/$$file || exit;\
	done
	for file in man7/*.7; do \
	   echo $$file; \
	   $(INSTALL_DATA) "$$file" $(DESTDIR)$(mandir)/$$file || exit;\
	done
	for file in $(wildcard *.html) stylesheet.css ; do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(docdir)/html || exit;\
	done
endif
endif

HTML.index: html

.PHONY: html

ifndef JADE
html:
	@echo "You must have jade installed to build the documentation." && exit;
else
html: slony.sgml $(ALLSGML) stylesheet.dsl
	@rm -f *.html ;\
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -ioutput-html -t sgml $<
ifeq ($(vpath_build), yes)
	@cp $(srcdir)/stylesheet.css .
endif
endif

COLLATEINDEX := LC_ALL=C $(PERL) $(COLLATEINDEX) -f -g

ifdef JADE
ifeq (,$(wildcard HTML.index))
bookindex.sgml:
	$(COLLATEINDEX) -o $@ -N -i 'bookindex'
else
bookindex.sgml: HTML.index
	$(COLLATEINDEX) -i 'bookindex' -o $@ $<
endif
else
bookindex.sgml:
	@echo "You must have jade to build the documentation" && exit
endif

##
## Print
##

# RTF to allow minor editing for hardcopy

%.rtf: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t rtf -V rtf-backend -ioutput-print $<

# TeX
# Regular TeX and pdfTeX have slightly differing requirements, so we
# need to distinguish the path we're taking.

%.tex-ps: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t tex -V tex-backend -ioutput-print -V texdvi-output -o $@ $<

%.tex-pdf: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t tex -V tex-backend -ioutput-print -V texpdf-output -o $@ $<

%.dvi: %.tex-ps
	@rm -f $*.aux $*.log
	jadetex $<
	jadetex $<
	jadetex $<

# Postscript from TeX
%.ps: %.dvi
	dvips -o $@ $<

%.pdf: %.tex-pdf
	@rm -f $*.aux $*.log $*.out
	pdfjadetex $<
	pdfjadetex $<
	pdfjadetex $<


# This generates an XML version of the flow-object tree.  It's useful
# for debugging DSSSL code, and possibly to interface to some other
# tools that can make use of this.
%.fot: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t fot -i output-print -o $@ $<


# Graphics

%.gif:
	cp $(srcdir)/../graphics/$@ .

%.eps: %.gif
	$(CONVERT) $< eps:$@

%.pdf: %.eps
	$(EPSTOPDF) $<


##
## Semi-automatic generation of some text files.
##

JADE.text = $(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -i output-text -t sgml
LYNX = lynx

INSTALL HISTORY regress_README: % : %.html
	$(PERL) -p -e 's/<H(1|2)$$/<H\1 align=center/g' $< | $(LYNX) -force_html -dump -nolist -stdin >$@

INSTALL.html: standalone-install.sgml installation.sgml 
	$(JADE.text) -V nochunks standalone-install.sgml installation.sgml >$@

HISTORY.html: release.sgml
	( echo '<!doctype appendix PUBLIC "-//OASIS//DTD DocBook V4.2//EN">'; \
	  cat $< ) >tempfile_HISTORY.sgml
	$(JADE.text) -V nochunks tempfile_HISTORY.sgml >$@
	rm tempfile_HISTORY.sgml

regress_README.html: regress.sgml
	( echo '<!doctype chapter PUBLIC "-//OASIS//DTD DocBook V4.2//EN" ['; \
	  echo '<!entity % standalone-ignore "IGNORE"> ]>'; \
	  cat $< ) >tempfile_regress_README.sgml
	$(JADE.text) -V nochunks tempfile_regress_README.sgml >$@
	rm tempfile_regress_README.sgml


##
## Experimental XML stuff
##

OSX = osx # (may be called sx or sgml2xml on some systems)
XSLTPROC = xsltproc

slony.xml: slony.sgml $(GENERATED_SGML)
	$(OSX) -x lower $< | \
	  sed -e 's/\[\(lt\|gt\|amp\|nbsp\|copy\|quot\|ouml\|uuml\|egrave\) *\]/\&\1;/g' \
	      -e '1a\' -e '<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN" "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">' \
	  >$@

testxml: stylesheet.xsl slony.xml
	$(XSLTPROC) $(XSLTPROCFLAGS) --stringparam pg.version '$(VERSION)' $^

htmlhelp: stylesheet-hh.xsl slony.xml
	$(XSLTPROC) $(XSLTPROCFLAGS) --stringparam pg.version '$(VERSION)' $^


##
## Check
##

# Quick syntax check without style processing
check: slony.sgml $(ALLSGML) $(GENERATED_SGML)
	$(NSGMLS) $(SPFLAGS) $(SGMLINCLUDE) -s $<


##
## Clean
##

clean distclean maintainer-clean:
# HTML
	rm -f HTML.manifest *.html *.gif
# man
	rm -rf *.1 *.7 man1 man7 manpage.refs manpage.links manpage.log
# print
	rm -f *.rtf *.tex-ps *.tex-pdf *.dvi *.aux *.log *.ps *.pdf *.out *.eps *.fot
# index
	rm -f HTML.index $(GENERATED_SGML)
# text
	rm -f INSTALL HISTORY

BASEDIR=$(slony_top_builddir)/src/backend
BASESQL=$(BASEDIR)/slony1_base.sql
BASEFUNS=$(BASEDIR)/slony1_funcs.sql
XIDSQL=localxid.sql
TEMPDB=schemadoc
TEMPSCHEMA=schemadoc
CREATELANG=$(pgbindir)/createlang   # That's how it is for me...

schemadoc.sgml: schemadoc.xml
	sed 's,/>,>,g' $< >$@

schemadoc.xml: $(BASESQL) $(BASEFUNS) $(XIDDIR)
	@$(pgbindir)/createdb $(TEMPDB) && ( \
	$(CREATELANG) plpgsql $(TEMPDB) 2>/dev/null ; \
	echo "drop schema $(TEMPSCHEMA);create schema $(TEMPSCHEMA);" | $(pgbindir)/psql $(TEMPDB) && \
	cat $(XIDSQL) $(BASEFUNS) $(BASESQL) |  sed -e "s/@NAMESPACE@/$(TEMPSCHEMA)/g"  -e "s/@CLUSTERNAME@/$(TEMPSCHEMA)/g" | $(pgbindir)/psql $(TEMPDB) && \
	$(PGAUTODOC) -d $(TEMPDB) -s $(TEMPSCHEMA) -t xml -f schemadoc ;\
	sed -i.bak -e "s/$(TEMPSCHEMA)\.//g" -e "s@<book.*>@@g" -e "s@</book.*>@@g" schemadoc.xml ;\
	rm  schemadoc.xml.bak ;\
	$(pgbindir)/dropdb $(TEMPDB) >/dev/null 2>&1 \
	) || echo "unable to createdb $(TEMPDB)"

version.sgml:	$(slony_top_builddir)/Makefile.global
	{ \
	echo "<!entity version \"$(VERSION)\">"; \
	echo "<!entity majorversion \"`expr $(VERSION) : '\([0-9][0-9]*\.[0-9][0-9]*\)'`\">"; \
	} >$@

distdir:	$(DISTFILES)
	mkdir -p $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	@for file in $(DISTFILES) ; do \
		cp $$file $(distdir)/$(subdir)/$$file || exit; \
	done

=== doc/concept/Makefile ===
# ----------
# Makefile for the Slony-I concept paper
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
# 
# ----------

slony_subdir = doc/concept
slony_top_builddir = ../..
include $(slony_top_builddir)/Makefile.global

GOPTS	= -U -t -p -ms -mpspic

# IMG_WID	= 1799
# IMG_HT	= 1440
IMG_WID	= 900
IMG_HT	= 720

SRC_CONCEPT =	Slony-I-concept.nr	\
				Makefile			\
				figure-1.pic		\
				figure-2.pic		\
				figure-3.pic		\
				figure-4.pic		\
				Slon.eps

PDF		= Slony-I-concept.pdf

PS		= Slony-I-concept.ps

TXT		= Slony-I-concept.txt

DISTFILES = Makefile $(wildcard *.pic) Slon_900x720.jpg Slony-I-concept.nr

all:		all-ps all-pdf all-txt

all-ps:		Slon.eps $(PS)

all-pdf:	Slon.eps $(PDF)

all-txt:	Slon.eps $(TXT)

installdirs:
ifdef docdir
	$(mkinstalldirs) $(DESTDIR)$(docdir)/concept
endif

install: installdirs all
ifdef docdir
	for file in $(PS) $(PDF) $(TXT) Slon_$(IMG_WID)x$(IMG_HT).jpg ; do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(docdir)/concept || exit; \
	done
endif

clean distclean maintainer-clean:
	rm -f $(PS) $(PDF) $(TXT) tmp.* Slon.eps

Slony-I-concept.ps:		$(SRC_CONCEPT)
Slony-I-concept.pdf:	$(SRC_CONCEPT)
Slony-I-concept.txt:	$(SRC_CONCEPT)

Slon.eps:	Slon_$(IMG_WID)x$(IMG_HT).jpg
ifdef DJPEG
  ifdef PNMTOPS
		$(DJPEG) $< | $(PNMTOPS) -rle -noturn >$@
  else
    ifdef CONVERT
		$(CONVERT) $< >$@ || echo "unable to create $@ from $<"
    else
		@echo "unable to create $@ from $<"
    endif
  endif
else
  ifdef CONVERT
		$(CONVERT) $< >$@ || echo "unable to create $@ from $<"
  else
		@echo "unable to create $@ from $<"
  endif
  
endif

%.ps:	%.nr
ifdef GROFF
		@echo ".XS 1"	> tmp.idx
		@echo "dummy"	>>tmp.idx
		@echo ".XE"		>>tmp.idx
		@echo ""		> tmp.old
		-$(GROFF) $(GOPTS) $< >$@ 2>/dev/null
		@n=0 ; \
		while ! cmp tmp.idx tmp.old >/dev/null ; do \
			cp tmp.idx tmp.old ; \
			n=`expr $$n + 1` ; \
			if [ $$n -gt 10 ] ; then break ; fi ; \
			echo "$(GROFF) $(GOPTS) $< >$@" ; \
			$(GROFF) $(GOPTS) $< >$@ ; \
		done
		@rm -f tmp.*
endif

%.txt:	%.nr
ifdef GROFF
		@echo ".XS 1"	> tmp.idx
		@echo "dummy"	>>tmp.idx
		@echo ".XE"		>>tmp.idx
		@echo ""		> tmp.old
		-$(GROFF) -Tlatin1 $(GOPTS) $< >$@ 2>/dev/null
		@n=0 ; \
		while ! cmp tmp.idx tmp.old >/dev/null ; do \
			cp tmp.idx tmp.old ; \
			n=`expr $$n + 1` ; \
			if [ $$n -gt 10 ] ; then break ; fi ; \
			echo "$(GROFF) -Tlatin1 $(GOPTS) $< >$@" ; \
			$(GROFF) -Tlatin1 $(GOPTS) $< >$@ ; \
		done
		@rm -f tmp.*
endif

%.pdf:	%.ps
ifdef PS2PDF
		$(PS2PDF) $<
endif

distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== doc/implementation/Makefile ===
# ----------
# Makefile for the Slony-I implementation paper
#
#	Copyright (c) 2003-2009,  PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
# 
# ----------

slony_subdir = doc/implementation
slony_top_builddir = ../..
include $(slony_top_builddir)/Makefile.global

GOPTS	= -U -t -p -ms -mpspic

# IMG_WID	= 1799
# IMG_HT	= 1440
IMG_WID	= 900
IMG_HT	= 720

SRC_CONCEPT =	Slony-I-implementation.nr	\
				Makefile			\
				figure-1.pic		\
				figure-2.pic		\
				Slon.eps

PDF		= Slony-I-implementation.pdf

PS		= Slony-I-implementation.ps

TXT		= Slony-I-implementation.txt

DISTFILES = Makefile $(wildcard *.pic) Slon_900x720.jpg Slony-I-implementation.nr

all:		all-ps all-pdf all-txt

all-ps:		Slon.eps $(PS)

all-pdf:	Slon.eps $(PDF)

all-txt:	Slon.eps $(TXT)

installdirs:
ifdef docdir
	$(mkinstalldirs) $(DESTDIR)$(docdir)/implementation
endif

install: all installdirs
ifdef docdir
	for file in $(PS) $(PDF) $(TXT) Slon.eps Slon_$(IMG_WID)x$(IMG_HT).jpg ; do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(docdir)/implementation || exit; \
	done
endif

clean distclean maintainer-clean:
	rm -f $(PS) $(PDF) $(TXT) tmp.* Slon.eps

Slony-I-implementation.ps:	$(SRC_CONCEPT)
Slony-I-implementation.pdf:	$(SRC_CONCEPT)
Slony-I-implementation.txt:	$(SRC_CONCEPT)

Slon.eps:	Slon_$(IMG_WID)x$(IMG_HT).jpg
ifdef DJPEG
  ifdef PNMTOPS
		$(DJPEG) $< | $(PNMTOPS) -rle -noturn >$@
  else
    ifdef CONVERT
		$(CONVERT) $< >$@ || echo "unable to create $@ from $<"
    else
		@echo "unable to create $@ from $<"
    endif
  endif
else
  ifdef CONVERT
		$(CONVERT) $< >$@ || echo "unable to create $@ from $<"
  else
		@echo "unable to create $@ from $<"
  endif
endif

%.ps:	%.nr
ifdef GROFF
		@echo ".XS 1"	> tmp.idx
		@echo "dummy"	>>tmp.idx
		@echo ".XE"		>>tmp.idx
		@echo ""		> tmp.old
		-$(GROFF) $(GOPTS) $< >$@ 2>/dev/null
		@n=0 ; \
		while ! cmp tmp.idx tmp.old >/dev/null ; do \
			cp tmp.idx tmp.old ; \
			n=`expr $$n + 1` ; \
			if [ $$n -gt 10 ] ; then break ; fi ; \
			echo "$(GROFF) $(GOPTS) $< >$@" ; \
			$(GROFF) $(GOPTS) $< >$@ ; \
		done
		@rm -f tmp.*
endif

%.txt:	%.nr
ifdef GROFF
		@echo ".XS 1"	> tmp.idx
		@echo "dummy"	>>tmp.idx
		@echo ".XE"		>>tmp.idx
		@echo ""		> tmp.old
		-$(GROFF) -Tlatin1 $(GOPTS) $< >$@ 2>/dev/null
		@n=0 ; \
		while ! cmp tmp.idx tmp.old >/dev/null ; do \
			cp tmp.idx tmp.old ; \
			n=`expr $$n + 1` ; \
			if [ $$n -gt 10 ] ; then break ; fi ; \
			echo "$(GROFF) -Tlatin1 $(GOPTS) $< >$@" ; \
			$(GROFF) -Tlatin1 $(GOPTS) $< >$@ ; \
		done
		@rm -f tmp.*
endif

%.pdf:	%.ps
ifdef PS2PDF
		$(PS2PDF) $<
endif

distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== src/parsestatements/Makefile ===
slony_subdir = src/parsestatements
slony_top_builddir = ../..
include $(slony_top_builddir)/Makefile.global

PROG=test-scanner
FLEX=flex

ifeq ($(PORTNAME), win32)
SUFFIX=.win32
endif

all: $(PROG) test

scanner.o: scanner.c scanner.h

$(PROG): $(PROG).o scanner.o
	$(CC) $(CFLAGS) -o $(PROG) test-scanner.c scanner.o

test-scanner.o: test-scanner.c

test: test-scanner
	./test-scanner < /dev/null > emptytestresult.log
#	cmp ./emptytestresult.log emptytestresult.expected$(SUFFIX)
	./test-scanner < ./test_sql.sql > test_sql.log
#	cmp ./test_sql.log ./test_sql.expected$(SUFFIX)
	./test-scanner < ./cstylecomments.sql > cstylecomments.log
#	cmp ./cstylecomments.log ./cstylecomments.expected$(SUFFIX)

install:

maintainer-clean: clean
distclean: clean
clean:
	rm -f scanner.o test-scanner test-scanner.o
	rm -f *.log

=== debian/changelog ===
slony1-2 (2.0.7-3build1) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:22:14 -0700

slony1-2 (2.0.7-3) unstable; urgency=low

  * Resurrect the /usr/share/slony1/slony1_*.sql files that had gone
    missing in the previous version

 -- Peter Eisentraut <petere@debian.org>  Tue, 01 Nov 2011 20:43:58 +0200

slony1-2 (2.0.7-2) unstable; urgency=low

  * Changed build system from cdbs to dh
  * Build backend module for all server versions reported by pg_buildext
    (closes: #639478)

 -- Peter Eisentraut <petere@debian.org>  Wed, 26 Oct 2011 20:23:30 +0300

slony1-2 (2.0.7-1) unstable; urgency=low

  * New upstream release
    - Obsoleted patch: autoconf-groff.patch
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Sat, 27 Aug 2011 13:46:58 +0300

=== debian/control ===
Source: slony1-2
Section: database
Priority: optional
Maintainer: Peter Eisentraut <petere@debian.org>
Build-Depends: autotools-dev, bison, debhelper (>= 7.0.50~), docbook (>= 4.2), docbook-xml (>= 4.2), docbook2x (>= 0.8.8-4), docbook-dsssl, docbook-utils, flex, ghostscript, groff, libjpeg-progs, libpq-dev, netpbm, openjade, opensp, postgresql-server-dev-all (>= 119~)
Standards-Version: 3.9.2
Homepage: http://slony.info/

Package: slony1-2-bin
Architecture: any
Depends: postgresql-common, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: ${module:Recommends}, libdbd-pg-perl, ntp | openntpd | chrony
Suggests: slony1-2-doc, libpg-perl
Provides: slony1-bin
Conflicts: slony1-bin
Description: replication system for PostgreSQL: daemon and administration tools
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the slon daemon and the slonik administration tool.
 It should be installed on those hosts where Slony-I daemons are to be run
 or administered, which usually, but not necessarily, are the hosts where
 the database server nodes are running.

Package: slony1-2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Provides: slony1-doc
Conflicts: slony1-doc
Description: Slony-I documentation
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the documentation for the Slony-I system.  It is
 not required for normal operation.

Package: postgresql-9.1-slony1-2
Architecture: any
Depends: postgresql-9.1, ${misc:Depends}, ${shlibs:Depends}
Suggests: slony1-2-bin
Provides: postgresql-9.1-slony1
Conflicts: postgresql-9.1-slony1
Description: replication system for PostgreSQL: PostgreSQL 9.1 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 9.1 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR = $(CURDIR)
include /usr/share/postgresql-common/pgxs_debian_control.mk

supported_versions := $(shell pg_buildext supported-versions $(CURDIR))

%:
	dh $@

clean: debian/control prep
.PHONY: debian/control

.PHONY: prep
prep:
	rm -f debian/postgresql-?.?-slony1-2.install
	for v in $(supported_versions); do echo "usr/lib/postgresql/$$v/lib/" >debian/postgresql-$$v-slony1-2.install || exit; done

common_configure_options = --with-pgsharedir=/usr/share/slony1 --sysconfdir=/etc/slony1

override_dh_auto_configure:
	dh_auto_configure -- $(common_configure_options) --with-docs --with-docdir=/NOTUSED --with-perltools --with-perlsharedir=/usr/share/slony1 --with-pgpkglibdir=/tmp
	for v in $(supported_versions); do ( mkdir -p build-$$v/src/backend && ln -s $(CURDIR)/src/backend/Makefile build-$$v/src/backend/ && cd build-$$v/ && ../configure $(common_configure_options) --with-pgconfigdir=/usr/lib/postgresql/$$v/bin --with-pgpkglibdir=/usr/lib/postgresql/$$v/lib ) || exit; done

altperl_scripts = slon_kill slon_start slon_status slon_watchdog slon_watchdog2 slonik_build_env \
	slonik_add_node slonik_create_set slonik_drop_node slonik_drop_sequence slonik_drop_set slonik_drop_table slonik_execute_script \
	slonik_failover slonik_init_cluster slonik_merge_sets slonik_move_set slonik_print_preamble slonik_restart_node \
	slonik_store_node slonik_subscribe_set slonik_uninstall_nodes slonik_unsubscribe_set slonik_update_nodes \
	slony_show_configuration

override_dh_auto_build:
	+dh_auto_build
	for v in $(supported_versions); do $(MAKE) -C build-$$v/src/backend slony1_funcs.so VPATH=$(CURDIR)/src/backend CPPFLAGS=-I. || exit; done
	for f in $(altperl_scripts); do \
	  sed "s/@program@/$$f/g;s/@PROGRAM@/\U$$f/g" debian/altperl.1.in >debian/$$f.1 || exit $?; \
	done

override_dh_auto_clean:
	test ! -f GNUmakefile || $(MAKE) distclean
	rm -f doc/adminguide/slony.xml
	rm -f $(altperl_scripts:%=debian/%.1)
	for v in $(supported_versions); do rm -rf build-$$v/ || exit; done

override_dh_auto_install:
	+dh_auto_install
	for v in $(supported_versions); do install -D $(CURDIR)/build-$$v/src/backend/slony1_funcs.so $(CURDIR)/debian/tmp/usr/lib/postgresql/$$v/lib/slony1_funcs.so || exit; done
	(echo -n "module:Recommends="; for v in $(supported_versions); do echo -n "postgresql-$$v-slony1-2 |"; done) >>debian/slony1-2-bin.substvars

override_dh_installinit:
	dh_installinit --name=slony1

override_dh_installlogrotate:
	dh_installlogrotate --name=slony1

override_dh_installdocs:
	dh_installdocs $(addprefix -X,[^1]\.1 [^7]\.7 \.dia \.dsl \.sgml \.sql \.xml \.xsl HTML\.index Makefile)

override_dh_compress:
	dh_compress -X\.pl -X\.sh

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ \
http://www.slony.info/downloads/2.0/source/slony1-([0-9.]+).tar.bz2  debian  uupdate

## slony1-2 2.1.2

=== Makefile ===
all check install installdirs installcheck uninstall dep depend clean distclean maintainer-clean dist:
	@if [ ! -f GNUmakefile ] ; then \
		echo "You need to run the 'configure' program first. See the file"; \
		echo "'README' for installation instructions." ; \
		false ; \
	fi
	@IFS=':' ; \
		for dir in $$PATH; do \
			for prog in gmake gnumake make; do \
				if [ -f $$dir/$$prog ] && ( $$dir/$$prog -f /dev/null --version 2>/dev/null | grep GNU >/dev/null 2>&1 ) ; then \
					GMAKE=$$dir/$$prog; \
					break 2; \
				fi; \
			done; \
		done; \
	\
	if [ x"$${GMAKE+set}" = xset ]; then \
		echo "Using GNU make found at $${GMAKE}"; \
		$${GMAKE} $@ ; \
	else \
		echo "You must use GNU make to build slony-I." ; \
		false; \
	fi

=== src/slonik/Makefile ===
# ----------
# Makefile for src/slonik
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
# ----------

slony_subdir = src/slonik
slony_top_builddir = ../..
SLFILEDESC="Slony command interpreter"
include $(slony_top_builddir)/Makefile.global

ifeq ($(PORTNAME), aix)
  CFLAGS += -D_LARGE_FILES
endif

CFLAGS += -I$(slony_top_builddir) -DPGSHARE="\"$(pgsharedir)\"" 

PROG		= slonik

ifeq ($(PORTNAME), win)
PROG            = slonik.exe
LDFLAGS += -lpgport
endif
ifeq ($(PORTNAME), win32)
PROG            = slonik.exe
LDFLAGS += -lpgport
endif

OBJS		= 			\
	slonik.o			\
	dbutil.o			\
	parser.o $(WIN32RES)            \
	../parsestatements/scanner.o    \
	scan.o
DISTFILES = Makefile $(wildcard *.c) $(wildcard *.h) $(wildcard *.l) $(wildcard *.y)

ALL =					\
	$(PROG)


all:	$(ALL)

$(PROG):	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) -o $(PROG)
slonik.o:			slonik.c slonik.h
dbutil.o:			dbutil.c slonik.h
parser.o:			parser.c scan.c

parser.c:			parser.y slonik.h
ifdef YACC
	$(YACC) -d $(YFLAGS) $<
	mv -f y.tab.c parser.c
else
	@echo "Missing yacc $< $@"
	@exit 1
endif

scan.c: SCANNER_HEADER=scan.h

scan.c:				scan.l slonik.h
ifdef FLEX 
	$(FLEX) $(FLEXFLAGS) --header-file=$(SCANNER_HEADER) -o'$@' $<
else
	@echo "Missing flex $< $@"
	@exit
endif

splint:
	splint -I $(pgincludedir) -I $(pgincludeserverdir) +unixlib -preproc +skip-sys-headers $(wildcard *.c)

clean distclean:
	rm -f $(ALL) $(OBJS) $(PROG).core

maintainer-clean:	clean
	rm -f parser.c scan.c y.tab.h

install: all installdirs
	$(INSTALL_SCRIPT) $(PROG) $(DESTDIR)$(slonbindir)


installdirs:
	$(mkinstalldirs) $(DESTDIR)$(slonbindir)


distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== debian/changelog ===
slony1-2 (2.1.2-1.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-slony1-2-source-distribution=sid-1,
    svn revision 778)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Sat, 10 Nov 2012 09:40:07 +0100

slony1-2 (2.1.2-1) unstable; urgency=low

  * New upstream release (closes: #678979)
    - Updated patches: 05_includedir-order.patch, logging.patch,
      slon_start_pidfile.patch
    - New patches: vpath.patch
  * Add some Lintian overrides for hard-to-fix issues
  * Remove "store listen" calls from test script; they are no longer
    necessary

 -- Peter Eisentraut <petere@debian.org>  Mon, 03 Sep 2012 13:14:30 -0400

slony1-2 (2.0.7-4) unstable; urgency=low

  [ Christoph Berg ]
  * Add Vcs headers.

  [ Peter Eisentraut ]
  * Updated standards version
  * Add "su" option to default logrotate configuration, which is required
    for proper operation in logrotate >= 3.8.  Add versioned dependency on
    logrotate, mainly to guard against faulty backporting.

 -- Peter Eisentraut <petere@debian.org>  Sun, 04 Mar 2012 12:43:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Peter Eisentraut <petere@debian.org>
 Build-Depends: autotools-dev, bison, debhelper (>= 7.0.50~), docbook (>= 4.2), docbook-xml (>= 4.2), docbook2x (>= 0.8.8-4), docbook-dsssl, docbook-utils, flex, ghostscript, groff, libjpeg-progs, libpq-dev, netpbm, openjade, opensp, postgresql-server-dev-all (>= 119~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://slony.info/
+Vcs-Svn: svn://svn.debian.org/svn/pkg-postgresql/trunk/slony1-2
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-postgresql/trunk/slony1-2/
 
 Package: slony1-2-bin
 Architecture: any
-Depends: postgresql-common, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
+Depends: logrotate (>= 3.8), postgresql-common, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Recommends: ${module:Recommends}, libdbd-pg-perl, ntp | openntpd | chrony
 Suggests: slony1-2-doc, libpg-perl
 Provides: slony1-bin
@@ -35,6 +37,66 @@
  This package contains the documentation for the Slony-I system.  It is
  not required for normal operation.
 
+Package: postgresql-8.3-slony1-2
+Architecture: any
+Depends: postgresql-8.3, ${misc:Depends}, ${shlibs:Depends}
+Suggests: slony1-2-bin
+Provides: postgresql-8.3-slony1
+Conflicts: postgresql-8.3-slony1
+Description: replication system for PostgreSQL: PostgreSQL 8.3 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 8.3 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.
+
+Package: postgresql-8.4-slony1-2
+Architecture: any
+Depends: postgresql-8.4, ${misc:Depends}, ${shlibs:Depends}
+Suggests: slony1-2-bin
+Provides: postgresql-8.4-slony1
+Conflicts: postgresql-8.4-slony1
+Description: replication system for PostgreSQL: PostgreSQL 8.4 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 8.4 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.
+
+Package: postgresql-9.0-slony1-2
+Architecture: any
+Depends: postgresql-9.0, ${misc:Depends}, ${shlibs:Depends}
+Suggests: slony1-2-bin
+Provides: postgresql-9.0-slony1
+Conflicts: postgresql-9.0-slony1
+Description: replication system for PostgreSQL: PostgreSQL 9.0 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 9.0 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.
+
 Package: postgresql-9.1-slony1-2
 Architecture: any
 Depends: postgresql-9.1, ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 override_dh_auto_build:
 	+dh_auto_build
-	for v in $(supported_versions); do $(MAKE) -C build-$$v/src/backend slony1_funcs.so VPATH=$(CURDIR)/src/backend CPPFLAGS=-I. || exit; done
+	for v in $(supported_versions); do $(MAKE) -C build-$$v/src/backend slony1_funcs.so VPATH=$(CURDIR)/src/backend || exit; done
 	for f in $(altperl_scripts); do \
 	  sed "s/@program@/$$f/g;s/@PROGRAM@/\U$$f/g" debian/altperl.1.in >debian/$$f.1 || exit $?; \
 	done

## slony1-2 2.1.3

=== src/slonik/Makefile ===
--- 
+++ 
@@ -25,6 +25,8 @@
 endif
 ifeq ($(PORTNAME), win32)
 PROG            = slonik.exe
+LDFLAGS += -lpgport
+else ifdef HAVE_PGPORT
 LDFLAGS += -lpgport
 endif

=== debian/changelog ===
slony1-2 (2.1.3-1) unstable; urgency=low

  * New upstrean release
  * Make SLON_START_ARGS configurable in /etc/default/slony1.
    (closes: #580367)
  * Add 9.2 and 9.3 to supported versions
  * Auto-adjust the logrotate config to the logrotate version; set
    depends/breaks properly.
  * Add autopkgtest testsuite.
  * Add myself to Uploaders

 -- Christoph Berg <myon@debian.org>  Tue, 18 Jun 2013 11:23:45 +0200

=== debian/control ===
Source: slony1-2
Section: database
Priority: optional
Maintainer: Peter Eisentraut <petere@debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: autotools-dev, bison, debhelper (>= 7.0.50~), docbook (>= 4.2), docbook-xml (>= 4.2), docbook2x (>= 0.8.8-4), docbook-dsssl, docbook-utils, flex, ghostscript, groff, libjpeg-progs, libpq-dev, logrotate, netpbm, openjade, opensp, postgresql-server-dev-all (>= 119~)
Standards-Version: 3.9.4
Homepage: http://slony.info/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/slony1-2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/slony1-2.git
XS-Testsuite: autopkgtest

Package: slony1-2-bin
Architecture: any
Depends: logrotate ${logrotate:version}, postgresql-common, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: ${module:Recommends}, libdbd-pg-perl, ntp | openntpd | chrony
Suggests: slony1-2-doc, libpg-perl
Provides: slony1-bin
Conflicts: slony1-bin
Breaks: ${logrotate:breaks}
Description: replication system for PostgreSQL: daemon and administration tools
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the slon daemon and the slonik administration tool.
 It should be installed on those hosts where Slony-I daemons are to be run
 or administered, which usually, but not necessarily, are the hosts where
 the database server nodes are running.

Package: slony1-2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Provides: slony1-doc
Conflicts: slony1-doc
Description: Slony-I documentation
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the documentation for the Slony-I system.  It is
 not required for normal operation.

Package: postgresql-9.1-slony1-2
Architecture: any
Depends: postgresql-9.1, ${misc:Depends}, ${shlibs:Depends}
Suggests: slony1-2-bin
Provides: postgresql-9.1-slony1
Conflicts: postgresql-9.1-slony1
Description: replication system for PostgreSQL: PostgreSQL 9.1 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 9.1 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 
+LOGROTATE_VER=$(shell LC_ALL=C apt-cache policy logrotate | awk '/Candidate:/ { print $$2 }')
+LOGROTATE38=$(shell dpkg --compare-versions $(LOGROTATE_VER) ge 3.8 && echo yes)
 SRCDIR = $(CURDIR)
 include /usr/share/postgresql-common/pgxs_debian_control.mk
 
@@ -40,6 +42,7 @@
 	rm -f doc/adminguide/slony.xml
 	rm -f $(altperl_scripts:%=debian/%.1)
 	for v in $(supported_versions); do rm -rf build-$$v/ || exit; done
+	rm -f tests/random_number tests/random_string
 
 override_dh_auto_install:
 	+dh_auto_install
@@ -51,9 +54,21 @@
 
 override_dh_installlogrotate:
 	dh_installlogrotate --name=slony1
+ifeq ($(LOGROTATE38),)
+	sed -i -e 's/	su/	#su/' debian/slony1-2-bin/etc/logrotate.d/slony1
+endif
 
 override_dh_installdocs:
 	dh_installdocs $(addprefix -X,[^1]\.1 [^7]\.7 \.dia \.dsl \.sgml \.sql \.xml \.xsl HTML\.index Makefile)
 
 override_dh_compress:
 	dh_compress -X\.pl -X\.sh
+
+override_dh_gencontrol:
+ifeq ($(LOGROTATE38),yes)
+	# logrotate >= 3.8: depend on new logrotate version
+	dh_gencontrol -- -Vlogrotate:version="(>= 3.8)"
+else
+	# logrotate < 3.8: depend on logrotate, and declare breaks new version
+	dh_gencontrol -- -Vlogrotate:breaks="logrotate (>= 3.8)"
+endif

## slony1-2 2.1.4

=== doc/Makefile ===
# ----------
# Makefile for doc
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	
# ----------

slony_subdir = doc
slony_top_builddir = ..
include $(slony_top_builddir)/Makefile.global

SUBDIRS = howto adminguide

DISTFILES = Makefile

all clean distclean maintainer-clean install installdirs:
	@for subdir in $(SUBDIRS) ; do \
		$(MAKE) -C $$subdir $@ || exit; \
	done


distdir: $(DISTFILES)
	mkdir -p $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	@for file in $(DISTFILES) ; do \
		cp $$file $(distdir)/$(subdir)/$$file || exit; \
	done
	@for subdir in $(SUBDIRS) ; do \
		$(MAKE) -C $$subdir distdir || exit; \
	done

adminguide.tar:

	$(MAKE) -C adminguide clean
	$(MAKE) -C adminguide html
	$(MAKE) -C adminguide html JADEFLAGS='-V html-manifest'
	cd adminguide && $(TAR) -cf ../$@ `cat HTML.manifest` `echo *.gif | grep -v '\*'` *.css

=== share/Makefile ===
# ----------
# Makefile for share
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	
# ----------

slony_subdir = share
slony_top_builddir = ..
include $(slony_top_builddir)/Makefile.global

DISTFILES = Makefile slon.conf-example

CONF_NAMES = slon.conf-sample

install: 
	for file in $(CONF_NAMES); do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(sysconfdir) || exit ; \
	done

distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== doc/howto/Makefile ===
# ----------
# Makefile for the HOWTOs
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#
# ----------

slony_subdir = doc/howto
slony_top_builddir = ../..
include $(slony_top_builddir)/Makefile.global

DISTFILES = Makefile $(wildcard *.txt*) $(wildcard *.html*)

distdir: $(DISTFILES)
	mkdir -p $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

all:

installdirs:
ifdef docdir
	$(mkinstalldirs) $(DESTDIR)$(docdir)/howto
endif

install: all installdirs
ifdef docdir
	for file in $(wildcard *.txt) $(wildcard *.html ); do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(docdir)/howto || exit; \
	done
endif

clean distclean:

=== src/backend/Makefile ===
# ----------
# Makefile for src/backend
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	
# ----------

slony_subdir = src/backend
slony_top_builddir = ../..
SLFILEDESC="Slony replication functions"
SO_NAME = $(NAME)$(DLSUFFIX)
include $(slony_top_builddir)/Makefile.global

override CFLAGS += -I$(slony_top_builddir) $(CFLAGS_SL)

NAME		= slony1_funcs

SO_OBJS	= $(NAME).o $(WIN32RES)

BASE_COMMON		= slony1_base.sql
FUNCS_COMMON	= slony1_funcs.sql

BASE_83			= slony1_base.v83.sql
FUNCS_83		= slony1_funcs.v83.sql
BASE_84			= slony1_base.v84.sql
FUNCS_84		= slony1_funcs.v84.sql

SQL_NAMES =				\
	$(BASE_COMMON)		\
	$(FUNCS_COMMON)		\
	$(BASE_83)			\
	$(BASE_84)			\
	$(FUNCS_83)			\
	$(FUNCS_84)

DISTFILES = Makefile README README.events $(wildcard *.sql) $(wildcard *.in) $(wildcard *.c)

ALL = $(SQL_NAMES)		\
	$(SO_NAME)


all:	$(ALL)

$(SO_NAME):	$(SO_OBJS)

$(NAME).o:	$(NAME).c avl_tree.c avl_tree.h

avl_tree.c:	../misc/avl_tree.c
	cp $< $@

avl_tree.h:	../misc/avl_tree.h
	cp $< $@

clean distclean maintainer-clean:
	rm -f $(SO_NAME) $(SO_OBJS) avl_tree.c avl_tree.h

splint:
	splint -I $(pgincludedir) -I $(pgincludeserverdir) +unixlib -preproc +skip-sys-headers $(wildcard *.c)

install: all installdirs
	$(INSTALL_SCRIPT) $(SO_NAME) $(DESTDIR)$(pgpkglibdir)
	for file in $(SQL_NAMES); do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(pgsharedir) || exit ; \
	done


installdirs:
	$(mkinstalldirs) $(DESTDIR)$(pgpkglibdir)
	$(mkinstalldirs) $(DESTDIR)$(pgsharedir)



distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== src/parsestatements/Makefile ===
--- 
+++ 
@@ -30,6 +30,7 @@
 
 maintainer-clean: clean
 distclean: clean
+
 clean:
 	rm -f scanner.o test-scanner test-scanner.o
 	rm -f *.log

=== src/slon/Makefile ===
# ----------
# Makefile for src/slon
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#
# ----------

slony_subdir = src/slon
slony_top_builddir = ../..
SLFILEDESC="Slony replication engine"
include $(slony_top_builddir)/Makefile.global

SFILES=$(wildcard *.c)
CC = $(PTHREAD_CC)

override CFLAGS += $(PTHREAD_CFLAGS) -I$(slony_top_builddir) -I$(slony_top_builddir)/$(slony_subdir)
override LDFLAGS += $(PTHREAD_LIBS) 

PROG		= slon

ifeq ($(PORTNAME), win)
PROG            = slon.exe
endif
ifeq ($(PORTNAME), win32)
PROG            = slon.exe
endif

OBJS		= \
    slon.o			\
    runtime_config.o	\
    local_listen.o		\
    remote_listen.o		\
    remote_worker.o		\
    sync_thread.o		\
    monitor_thread.o	\
    cleanup_thread.o	\
    scheduler.o		\
    dbutils.o		\
    conf-file.o		\
    confoptions.o		\
    misc.o                  \
    ../parsestatements/scanner.o

ifeq ($(PORTNAME), win32)
OBJS += port/pipe.o port/win32service.o $(WIN32RES)
override LDFLAGS += -lwsock32
endif


DISTFILES = Makefile README $(wildcard *.c) $(wildcard port/*.c) $(wildcard *.h) $(wildcard *.l) $(wildcard *.y)

ALL =				\
    $(PROG)


all:	$(ALL)

$(PROG): $(OBJS)
	$(CC) $(CFLAGS) -o $(PROG) $(OBJS) $(PTHREAD_CFLAGS) $(LDFLAGS)

cleanup_thread.o:	cleanup_thread.c slon.h
dbutils.o:			dbutils.c slon.h
local_listen.o:		local_listen.c slon.h
misc.o:				misc.c slon.h
remote_listen.o:	remote_listen.c slon.h
remote_worker.o:	remote_worker.c slon.h
runtime_config.o:	runtime_config.c slon.h
scheduler.o:		scheduler.c slon.h
slon.o:				slon.c slon.h
sync_thread.o:		sync_thread.c slon.h
monitor_thread.o:	monitor_thread.c slon.h
conf-file.o:		conf-file.c slon.h confoptions.h
confoptions.o:		confoptions.c slon.h confoptions.h

conf-file.c:		conf-file.l
ifdef FLEX
	$(FLEX) $(FLEXFLAGS) -o'$@' $<
else
	@echo "Missing flex $< $@"
	@exit
endif

clean distclean:
	rm -f $(ALL) $(OBJS) $(PROG).core

maintainer-clean: clean
	rm -f conf-file.c

install: all installdirs
	$(INSTALL_SCRIPT) $(PROG) $(DESTDIR)$(slonbindir)


installdirs:
	$(mkinstalldirs) $(DESTDIR)$(slonbindir)

splint:
	splint -I $(pgincludedir) -I $(pgincludeserverdir) +unixlib -preproc +skip-sys-headers $(SFILES)

distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
		cp $$file $(distdir)/$(subdir)/$$file || exit; \
	done

=== src/slonik/Makefile ===
--- 
+++ 
@@ -28,6 +28,9 @@
 LDFLAGS += -lpgport
 else ifdef HAVE_PGPORT
 LDFLAGS += -lpgport
+ifdef HAVE_PGCOMMON
+LDFLAGS += -lpgcommon
+endif
 endif
 
 OBJS		= 			\

=== src/slony_logshipper/Makefile ===
# ----------
# Makefile for src/slony_logshipper
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	
# ----------

slony_subdir = src/slony_logshipper
slony_top_builddir = ../..
SLFILEDESC="Slony command interpreter"
include $(slony_top_builddir)/Makefile.global

ifeq ($(PORTNAME), aix)
  CFLAGS += -D_LARGE_FILES
endif

CFLAGS += -I$(slony_top_builddir) -DPGSHARE="\"$(pgsharedir)\"" 


PROG		= slony_logshipper

ifeq ($(PORTNAME), win)
PROG            = slony_logshipper.exe
LDFLAG		= $(LDFLAG) -lpgport
endif
ifeq ($(PORTNAME), win32)
PROG            = slony_logshipper.exe
LDFLAG		= $(LDFLAG) -lpgport
endif

OBJS		= 					\
	slony_logshipper.o			\
	dbutil.o					\
	ipcutil.o					\
	parser.o $(WIN32RES)		\
	../parsestatements/scanner.o \
	scan.o

DISTFILES = Makefile $(wildcard *.c) $(wildcard *.h) $(wildcard *.l) $(wildcard *.y)

ALL =					\
	$(PROG)


all:	$(ALL)

$(PROG):	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) -o $(PROG)
slony_logshipper.o:			slony_logshipper.c slony_logshipper.h
dbutil.o:			dbutil.c slony_logshipper.h
parser.o:			parser.c scan.c
parser.c:			parser.y slony_logshipper.h
ifdef YACC
	$(YACC) -d $(YFLAGS) $<
	mv -f y.tab.c parser.c
else
	@echo "Missing yacc $< $@"
	@exit 1
endif

scan.c:	SCANNER_HEADER=scan.h
scan.c:				scan.l slony_logshipper.h
ifdef FLEX 
	$(FLEX) $(FLEXFLAGS) --header-file=$(SCANNER_HEADER)  -o'$@' $<
else
	@echo "Missing flex $< $@"
	@exit
endif

clean distclean:
	rm -f $(ALL) $(OBJS) $(PROG).core

maintainer-clean:	clean
	rm -f parser.c scan.c y.tab.h

install: all installdirs
	$(INSTALL_SCRIPT) $(PROG) $(DESTDIR)$(slonbindir)


installdirs:
	$(mkinstalldirs) $(DESTDIR)$(slonbindir)


distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== debian/changelog ===
slony1-2 (2.1.4-1ubuntu1) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 04 Feb 2014 20:54:36 -0500

slony1-2 (2.1.4-1) unstable; urgency=low

  * New upstream release.
  * Use "all" in debian/pgversions, and D-B on pg-server-dev-all >= 148.
  * Take over as Maintainer, thanks Peter for maintaining this package so far!

 -- Christoph Berg <myon@debian.org>  Mon, 09 Sep 2013 17:28:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: slony1-2
 Section: database
 Priority: optional
-Maintainer: Peter Eisentraut <petere@debian.org>
-Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: autotools-dev, bison, debhelper (>= 7.0.50~), docbook (>= 4.2), docbook-xml (>= 4.2), docbook2x (>= 0.8.8-4), docbook-dsssl, docbook-utils, flex, ghostscript, groff, libjpeg-progs, libpq-dev, logrotate, netpbm, openjade, opensp, postgresql-server-dev-all (>= 119~)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
+Build-Depends: autotools-dev, bison, debhelper (>= 7.0.50~), docbook (>= 4.2), docbook-xml (>= 4.2), docbook2x (>= 0.8.8-4), docbook-dsssl, docbook-utils, flex, ghostscript, groff, libjpeg-progs, libpq-dev, logrotate, netpbm, openjade, opensp, postgresql-server-dev-all (>= 148~)
 Standards-Version: 3.9.4
 Homepage: http://slony.info/
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/slony1-2.git
@@ -40,20 +40,20 @@
  This package contains the documentation for the Slony-I system.  It is
  not required for normal operation.
 
-Package: postgresql-9.1-slony1-2
+Package: postgresql-9.3-slony1-2
 Architecture: any
-Depends: postgresql-9.1, ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-9.3, ${misc:Depends}, ${shlibs:Depends}
 Suggests: slony1-2-bin
-Provides: postgresql-9.1-slony1
-Conflicts: postgresql-9.1-slony1
-Description: replication system for PostgreSQL: PostgreSQL 9.1 server plug-in
+Provides: postgresql-9.3-slony1
+Conflicts: postgresql-9.3-slony1
+Description: replication system for PostgreSQL: PostgreSQL 9.3 server plug-in
  Slony-I is an asynchronous master-to-multiple-slaves replication system
  for PostgreSQL with cascading and slave promotion.
  .
  This package contains the support functions that are loaded into the
  PostgreSQL database server.  It needs to be installed on the hosts where
  the database server nodes are running.  This package works with version
- 9.1 of the PostgreSQL server; you need the package that corresponds to
+ 9.3 of the PostgreSQL server; you need the package that corresponds to
  the version of your database server.
  .
  The actual replication daemon and the administration tools are in the

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 supported_versions := $(shell pg_buildext supported-versions $(CURDIR))
 
 %:
-	dh $@
+	dh $@ --with autotools_dev
 
 clean: debian/control prep
 .PHONY: debian/control

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ \
http://www.slony.info/downloads/2.1/source/slony1-([0-9.]+).tar.bz2  debian  uupdate
